Skip to content
Docs
Policy Bundle

Revert to the default policies for the calling user

Revert to the default policies for the calling user

client.policyBundle.reset(PolicyBundleResetParams { xClientRequestID } params?, RequestOptionsoptions?): void
DELETE/policy/bundle

Archives the PolicySet for the calling user (if any), causing subsequent GET /policy/bundle requests to fall back to the default user policies. Idempotent: returns 204 No Content even when no user-scope binding exists.

ParametersExpand Collapse
params: PolicyBundleResetParams { xClientRequestID }
xClientRequestID?: string

Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Revert to the default policies for the calling user

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI({
  apiKey: process.env['KEYCARD_API_API_KEY'], // This is the default and can be omitted
});

await client.policyBundle.reset();
Returns Examples